org.eclipse.viatra.query.runtime.exception

## Class ViatraQueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.viatra.query.runtime.matchers.ViatraQueryRuntimeException
        - - org.eclipse.viatra.query.runtime.exception.ViatraQueryException

- All Implemented Interfaces:
    java.io.Serializable

      public class ViatraQueryException
      extends ViatraQueryRuntimeException

  A general VIATRA Query-related problem during the operation of the VIATRA Query engine, or the loading, manipulation and evaluation of queries.
  Since:
    0.9
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONVERSION_FAILED`
    `static java.lang.String` | `CONVERT_NULL_PARAMETER`
    `static java.lang.String` | `GETNAME_FAILED`
    `static java.lang.String` | `INVALID_EMFROOT`
    `static java.lang.String` | `INVALID_EMFROOT_SHORT`
    `static java.lang.String` | `PARAM_NOT_SUITABLE_WITH_NO`
    `static java.lang.String` | `PROCESSING_PROBLEM`
    `static java.lang.String` | `QUERY_INIT_PROBLEM`
    `static java.lang.String` | `RELATIONAL_PARAM_UNSUITABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraQueryException(QueryInitializationException e)`
    `ViatraQueryException(QueryProcessingException e)`
    `ViatraQueryException(java.lang.String s, java.lang.String shortMessage)`
    `ViatraQueryException(java.lang.String s, java.lang.String shortMessage, java.lang.Throwable e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getShortMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PARAM_NOT_SUITABLE_WITH_NO

          public static final java.lang.String PARAM_NOT_SUITABLE_WITH_NO

      See Also:
        Constant Field Values

    - #### CONVERSION_FAILED

          public static final java.lang.String CONVERSION_FAILED

      See Also:
        Constant Field Values

    - #### CONVERT_NULL_PARAMETER

          public static final java.lang.String CONVERT_NULL_PARAMETER

      See Also:
        Constant Field Values

    - #### RELATIONAL_PARAM_UNSUITABLE

          public static final java.lang.String RELATIONAL_PARAM_UNSUITABLE

      See Also:
        Constant Field Values

    - #### PROCESSING_PROBLEM

          public static final java.lang.String PROCESSING_PROBLEM

      Since:
        0.9
      See Also:
        Constant Field Values

    - #### QUERY_INIT_PROBLEM

          public static final java.lang.String QUERY_INIT_PROBLEM

      Since:
        0.9
      See Also:
        Constant Field Values

    - #### GETNAME_FAILED

          public static final java.lang.String GETNAME_FAILED

      See Also:
        Constant Field Values

    - #### INVALID_EMFROOT

          public static final java.lang.String INVALID_EMFROOT

      See Also:
        Constant Field Values

    - #### INVALID_EMFROOT_SHORT

          public static final java.lang.String INVALID_EMFROOT_SHORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViatraQueryException

          public ViatraQueryException(java.lang.String s,
                                      java.lang.String shortMessage)

    - #### ViatraQueryException

          public ViatraQueryException(QueryProcessingException e)

    - #### ViatraQueryException

          public ViatraQueryException(QueryInitializationException e)

    - #### ViatraQueryException

          public ViatraQueryException(java.lang.String s,
                                      java.lang.String shortMessage,
                                      java.lang.Throwable e)

  - ### Method Detail

    - #### getShortMessage

          public java.lang.String getShortMessage()